libsswf: sswf::ActionCallFrame Class Reference

# sswf::ActionCallFrame Class Reference

Change the SWF pointer to the specified frame. More...

`#include <libsswf.h>`

Inheritance diagram for sswf::ActionCallFrame:

List of all members.

## Public Member Functions
| ActionCallFrame (TagBase *tag)
## Private Member Functions
virtual ErrorManager::error_code_t | ParseData (const Data &data)
| A do nothing function.
virtual ErrorManager::error_code_t | SaveData (Data &data, Data &nested_data)
| A do nothing function.

## Detailed Description

This tag was improperly given a number larger than 127. It actually uses no immediate data, instead it uses the current number on the stack.

None-the-less, I had to create a specific Action for this tag in order to overload the SaveData() function which would otherwise generate an assert.

See also:
  SWF Alexis' Reference—Call Frame

## Constructor & Destructor Documentation

ActionCallFrame::ActionCallFrame | ( | TagBase * | tag | ) |

## Member Function Documentation

ErrorManager::error_code_t ActionCallFrame::ParseData | ( | const Data & | data | ) | `[private, virtual]`

This is an error from Macromedia which should have created a code byte smaller than 128 for this action and did not.

This function just returns right away.

Parameters:

  `[in]` | data | The Data buffer to read the call data

Reimplemented from sswf::Action.

References sswf::ErrorManager::ERROR_CODE_NONE.

ErrorManager::error_code_t ActionCallFrame::SaveData | ( | Data & | data,
|  | Data & | nested_data |
| ) |  |  | `[private, virtual]`

This function is used to prevent the default SaveData() from generating an assert. This is an error from Macromedia which should have created a code byte smaller than 128 for this action and did not.

This function just returns right away.

Parameters:

  `[in]` | data | The Data buffer to save extraneous data (i.e. ignored)
  `[in]` | nested_data | The pre-saved sub-actions (i.e. ignored)

Reimplemented from sswf::Action.

References sswf::ErrorManager::ERROR_CODE_NONE.

The documentation for this class was generated from the following files:

- libsswf.h
- libsswf_actions.c++